memcmp.c File Reference
`#include "ruby/missing.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Functions

int | memcmp (const void *s1, const void *s2, size_t len)

## Function Documentation

int memcmp | ( | const void * | s1,
|  | const void * | s2,
|  | size_t | len
| ) |  |

Definition at line 7 of file memcmp.c.

References len.

Referenced by bracket(), econv_equal(), fdbm_has_value(), fdbm_key(), fgdbm_has_value(), fgdbm_key(), fnmatch_helper(), fsdbm_has_value(), fsdbm_key(), gzreader_gets(), iconv_convert(), isinf(), match_equal(), random_equal(), rb_io_getline_1(), rb_memcmp(), rb_memsearch(), rb_memsearch_qs(), rb_memsearch_qs_utf8(), rb_reg_equal(), rb_reg_regcomp(), rb_str_casecmp(), rb_str_chomp_bang(), rb_str_cmp(), rb_str_each_line(), rb_str_end_with(), rb_str_hash_cmp(), rb_str_rindex(), rb_str_start_with(), seepair(), slow_search(), SSL_SESSION_cmp(), str_eql(), and tr_trans().